Bug 1575702 - [abrt] gxneur: get_active_kbd_symbol(): gxneur killed by SIGSEGV
Summary: [abrt] gxneur: get_active_kbd_symbol(): gxneur killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gxneur
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a7a4a16902854fd7f4d5f6a192a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 16:55 UTC by Alex Gluck
Modified: 2020-05-26 15:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:02:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (13.06 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: dso_list (8.05 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: environ (3.70 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: maps (34.96 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: mountinfo (4.02 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: open_fds (383 bytes, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details
File: var_log_messages (2.92 KB, application/octet-stream)
2018-05-07 16:55 UTC, Alex Gluck
no flags Details

Description Alex Gluck 2018-05-07 16:55:08 UTC
Version-Release number of selected component:
gxneur-0.20.0-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gxneur
crash_function: get_active_kbd_symbol
executable:     /usr/bin/gxneur
journald_cursor: s=e93a8087e77e472594bf5881ca151cb6;i=588ff;b=de3b53d67f6941eea9284f07a5f462ba;m=61d8a829c;t=56ba051198cd1;x=ee9564b8ad871b5
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #1 get_active_kbd_symbol at xkb.c:165
 #2 create_tray_icon at trayicon.c:718

Comment 1 Alex Gluck 2018-05-07 16:55:12 UTC
Created attachment 1432712 [details]
File: backtrace

Comment 2 Alex Gluck 2018-05-07 16:55:13 UTC
Created attachment 1432713 [details]
File: cgroup

Comment 3 Alex Gluck 2018-05-07 16:55:15 UTC
Created attachment 1432714 [details]
File: core_backtrace

Comment 4 Alex Gluck 2018-05-07 16:55:16 UTC
Created attachment 1432715 [details]
File: cpuinfo

Comment 5 Alex Gluck 2018-05-07 16:55:17 UTC
Created attachment 1432716 [details]
File: dso_list

Comment 6 Alex Gluck 2018-05-07 16:55:19 UTC
Created attachment 1432717 [details]
File: environ

Comment 7 Alex Gluck 2018-05-07 16:55:20 UTC
Created attachment 1432718 [details]
File: limits

Comment 8 Alex Gluck 2018-05-07 16:55:22 UTC
Created attachment 1432719 [details]
File: maps

Comment 9 Alex Gluck 2018-05-07 16:55:23 UTC
Created attachment 1432720 [details]
File: mountinfo

Comment 10 Alex Gluck 2018-05-07 16:55:24 UTC
Created attachment 1432721 [details]
File: open_fds

Comment 11 Alex Gluck 2018-05-07 16:55:26 UTC
Created attachment 1432722 [details]
File: proc_pid_status

Comment 12 Alex Gluck 2018-05-07 16:55:27 UTC
Created attachment 1432723 [details]
File: exploitable

Comment 13 Alex Gluck 2018-05-07 16:55:28 UTC
Created attachment 1432724 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:49:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-04-30 22:06:50 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2020-05-26 15:02:45 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.